English

FAQ: Is ArcGIS 10.1 certified to support IBM Netezza 7.0 and INZA 2.5 including the Netezza Spatial Esri Package?

Question

Is ArcGIS 10.1 certified to support IBM Netezza 7.0 and INZA 2.5 including the Netezza Spatial Esri Package?

Answer

Esri introduced support for database connections to Netezza with the ArcGIS 10.1 release. IBM Netezza 5.0 and 6.0 with the legacy Netezza Spatial Package (nzspatial) version 1.1.2 are supported, as documented in Netezza Data Warehouse Appliance system requirements for ArcGIS 10.1.

Under the terms of Esri's Supported Environment Policy, ArcGIS 10.1 and 10.1 Service Pack 1 (SP1) support IBM Netezza 7.0 and version 2.5 of the legacy Netezza Spatial Package immediately upon their release since they meet or exceed the base build environment, an environment that is known to be stable.

Following the ArcGIS 10.1 SP1 release, support for IBM Netezza 7.0 system software has been certified with the legacy Netezza Spatial Package version 2.5 that continues to be included as a component of the IBM Netezza Analytics (INZA) software suite.

Early adopters of the new Netezza Spatial Esri Package (nzspatial_esri) can make read-only connections from ArcGIS 10.1 SP1 to an IBM Netezza 7.0 database with the new Netezza Spatial Esri Package registered in it, and use ArcGIS query layer functionality to visualize spatial data that has been loaded into the Netezza database.

A hotfix that allows copy/paste functionality to write feature classes into databases on an IBM Netezza 7.0 system with the new Netezza Spatial Esri Package is available for ArcGIS 10.1 SP1. Contact Esri Support to initiate a request for the Netezza Spatial Esri Package hotfix (QFE-101SP1-SDE-246730).

This functionality is also to be made available in the next ArcGIS release.

Note:
If using the legacy Netezza Spatial Package, the 'Optimize for ASCII Character Set' option for the NetezzaSQL ODBC driver must be set. Whereas, if using the new Netezza Spatial Esri Package, do not set the 'Optimize for ASCII Character Set' ODBC driver option until a future release of the NetezzaSQL ODBC driver contains a fix for IBM Netezza defect SWS-81137.

Related Information